NNG_HTTP_CONN_CLOSE(3http)

NAME
nng_http_conn_close - close HTTP connection

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void nng_http_conn_close(nng_http_conn *conn);

DESCRIPTION

The nng_http_conn_close() function closes the supplied HTTP connection conn, including any disposing of any underlying file descriptors or related resources.

Once this function, no further access to the conn structure may be made.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_client_connect(3http), nng_http_handler_alloc(3http), nng_strerror(3), nng(7)